Lavalite package that provides recomentation management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/recomentation`.

    "bixo/recomentation": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Recomentation\Providers\RecomentationServiceProvider::class,

And also add it to alias

    'Recomentation'  => Bixo\Recomentation\Facades\Recomentation::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\RecomentationTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Recomentation\Providers\RecomentationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Recomentation\Providers\RecomentationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Recomentation\Providers\RecomentationServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/recomentation/{modulename}

**User**

    http://path-to-route-folder/user/recomentation/{modulename}

**Public**

    http://path-to-route-folder/recomentations


### API endpoints

**List**

    http://path-to-route-folder/api/user/recomentation/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/recomentation/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/recomentation/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/recomentation/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/recomentation/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/recomentation/{modulename}/{slug}
    METHOD: GET