<?php

namespace Bixo\Recomentation\Repositories\Eloquent;

use Bixo\Recomentation\Interfaces\RecomentationRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class RecomentationRepository extends BaseRepository implements RecomentationRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.recomentation.recomentation.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.recomentation.recomentation.model.model');
    }
}
